import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

//notice that I say implements actionlistener, this is to say that I will be listening for actions
public class FinanceTracker extends JApplet implements ActionListener 
{
    //We have 3 swing components that we must declare up here, so every method has access to them
    JTextField item = new JTextField(15);
    JTextField price = new JTextField(5);
    JButton track= new JButton ("Track");
    JTextArea itemList= new JTextArea(5, 45);
    JTextField moneyLeft = new JTextField(6);
    //init is a method that gets called automatically when the applet starts or initializes
    //in init we are adding our swing components to the applet
    public void init()
    {
        Container screen = getContentPane();
        screen.setBackground(Color.green);
        screen.setLayout (new FlowLayout() );
        screen.add(new JLabel ("Item"));
        screen.add(item);
        screen.add(new JLabel ("Price"));
        screen.add(price);
        screen.add(track);
        screen.add(itemList);
        screen.add(moneyLeft);
        moneyLeft.setText("500");
        moneyLeft.setEditable(false);
        

        //for all components that i want to listen for an action [like a click of button]
        //I add action listener saying Im going to be listening
        track.addActionListener(this);
    }

    //in paint I tell it to paint the components and then draw a line
    public void paint (Graphics g)
    {
        super.paint(g);
        g.drawLine(5,200,400,200);
    }

    //now we have to have a method actionPerformed that will be called if an action happens
    //we then see which component had the action on it
    public void actionPerformed(ActionEvent thisEvent)
    {
        Object source = thisEvent.getSource();

        if (source == track)
        {           
            itemList.append(item.getText()+": $"+price.getText()+"\n");
            double priceValue=Double.parseDouble(price.getText());
            double leftOver=Double.parseDouble(moneyLeft.getText());
            leftOver=leftOver-priceValue;
            moneyLeft.setText(""+leftOver);
        }

    }
}     